ウェブサイト
GET https://analytics.ipcidr.com/api/websites/
curl --request GET \
--url 'https://analytics.ipcidr.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| パラメーター | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索対象フィールド。許可値:name, host。 |
| is_enabled | オプション 整数 | |
| tracking_type | オプション 文字列 | 許可値:normal, lightweight |
| domain_id | オプション 整数 | |
| datetime_field | オプション 文字列 | 許可値:datetime, last_datetime |
| datetime_start | オプション 文字列 | この日時以降の結果をフィルター。フォーマット:Y-m-d H:i:s。 |
| datetime_end | オプション 文字列 | この日時までの結果をフィルター。フォーマット:Y-m-d H:i:s。 |
| order_by | オプション 文字列 | 結果の並び替えフィールド。許可値:website_id, datetime, last_datetime, name, host, current_month_sessions_events。 |
| order_type | オプション 文字列 | 結果の順序。許可値:ASC(昇順)、DESC(降順)。 |
| page | オプション 整数 | 結果を取得するページ番号。デフォルトは 1。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数。許可値:10, 25, 50, 100, 250, 500, 1000。デフォルトは 25。 |
{
"data": [
{
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-06-04 01:52:12",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.ipcidr.com/api/websites?page=1",
"last": "https://analytics.ipcidr.com/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://analytics.ipcidr.com/api/websites?page=1"
}
}
GET https://analytics.ipcidr.com/api/websites/{website_id}
curl --request GET \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-06-04 01:52:12",
"last_datetime": null
}
}
POST https://analytics.ipcidr.com/api/websites
| パラメーター | 詳細 | 説明 |
|---|---|---|
| domain_id | オプション 整数 | - |
| name | 必須 文字列 | - |
| scheme | オプション 文字列 | 許可値:http://, https:// |
| host | 必須 文字列 | 例:example.com/path。 |
| tracking_type | オプション 文字列 | 許可値:lightweight, normal |
| excluded_ips | オプション 文字列 | トラッキングから除外するIP。カンマ区切りで入力。 |
| outbound_clicks_is_enabled | オプション ブール値 | |
| events_children_is_enabled | オプション ブール値 | ビジターイベントのトラッキング(マウスクリック、リサイズ、スクロール、フォーム送信)。許可値:0 または 1。normal トラッキングタイプのみ利用可能。 |
| sessions_replays_is_enabled | オプション ブール値 | セッションリプレイ。許可値:0 または 1。normal トラッキングタイプのみ利用可能。 |
| sessions_replays_hide_text_selector | オプション 文字列 | |
| email_reports_is_enabled | オプション ブール値 | メールレポート。許可値:0 または 1。 |
| ip_storage_is_enabled | オプション ブール値 | 利用可能:tracking_type = normal |
| query_parameters_tracking_is_enabled | オプション ブール値 | - |
| bot_exclusion_is_enabled | オプション ブール値 | - |
| public_statistics_is_enabled | オプション ブール値 | - |
| public_statistics_password | オプション 文字列 | - |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
--url 'https://analytics.ipcidr.com/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
POST https://analytics.ipcidr.com/api/websites/{website_id}
| パラメーター | 詳細 | 説明 |
|---|---|---|
| domain_id | オプション 整数 | - |
| name | オプション 文字列 | - |
| scheme | オプション 文字列 | 許可値:http://, https:// |
| host | オプション 文字列 | 例:example.com/path。 |
| excluded_ips | オプション 文字列 | トラッキングから除外するIP。カンマ区切りで入力。 |
| outbound_clicks_is_enabled | オプション ブール値 | |
| events_children_is_enabled | オプション ブール値 | ビジターイベントのトラッキング(マウスクリック、リサイズ、スクロール、フォーム送信)。許可値:0 または 1。normal トラッキングタイプのみ利用可能。 |
| sessions_replays_is_enabled | オプション ブール値 | セッションリプレイ。許可値:0 または 1。normal トラッキングタイプのみ利用可能。 |
| sessions_replays_hide_text_selector | オプション 文字列 | |
| email_reports_is_enabled | オプション ブール値 | メールレポート。許可値:0 または 1。 |
| ip_storage_is_enabled | オプション ブール値 | 利用可能:tracking_type = normal |
| query_parameters_tracking_is_enabled | オプション ブール値 | - |
| bot_exclusion_is_enabled | オプション ブール値 | - |
| public_statistics_is_enabled | オプション ブール値 | - |
| public_statistics_password | オプション 文字列 | - |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://analytics.ipcidr.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \